2011-10-07 [colin] 3.7.10cvs21
[claws.git] / configure.ac
index b8a2f1b..78a6fcf 100644 (file)
@@ -12,7 +12,7 @@ MINOR_VERSION=7
 MICRO_VERSION=10
 INTERFACE_AGE=0
 BINARY_AGE=0
-EXTRA_VERSION=20
+EXTRA_VERSION=21
 EXTRA_RELEASE=
 EXTRA_GTK2_VERSION=
 
@@ -157,7 +157,7 @@ fi
 CFLAGS="$CFLAGS -Wall"
 
 #if test $USE_MAINTAINER_MODE = yes; then
-#      CFLAGS="-g -Wall -Wno-pointer-sign -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES"
+#      CFLAGS="-g -Wall -Wno-pointer-sign -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDESi -DGDK_PIXBUF_DISABLE_DEPRECATED -DGSEAL_ENABLE"
 #fi
 
 pthread_name=
@@ -464,11 +464,21 @@ dnl ** GTK user interface **
 dnl ************************
 
 dnl Checks for GTK
-PKG_CHECK_MODULES(GTK, gtk+-2.0 >= 2.10)
+AC_ARG_ENABLE(gtk3,
+       AS_HELP_STRING([--enable-gtk3],
+               [Determines whether to use Gtk+ 3.0 vclplug on platforms where Gtk+ 3.0 is available.]),
+               [ac_cv_enable_gtk3=$enableval],[ac_cv_enable_gtk3=no])
+if test x"$ac_cv_enable_gtk3" = x"yes"; then
+       PKG_CHECK_MODULES(GTK, gtk+-3.0 >= 3.0 cairo)
+       AC_SUBST(GTK3, 1)
+else
+       PKG_CHECK_MODULES(GTK, gtk+-2.0 >= 2.10)
+       AC_SUBST(GTK2, 1)
 
 dnl --disable-deprecated switch for GTK2 purification
 AC_ARG_ENABLE(deprecated, [  --disable-deprecated  disable deprecated GTK functions. ],
                          [GTK_CFLAGS="$GTK_CFLAGS -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED"], [])
+fi
 
 AC_SUBST(GTK_CFLAGS)
 AC_SUBST(GTK_LIBS)